# Bulk (File) Callback

When the bulk transactions are completed by Paywall, the results are sent as a file to the callback address (**CallbackAddress**) provided in the bulk transaction request

{% tabs %}
{% tab title="Normal" %}
**File Pattern::** `$"{patternNo},{lineNumber},{dateTime},{merchantUniqueCode},{trackingCode},{cardOwner},{cardNumber},{expiryDate},{amount},{gatewayId},{gatewayName},{providerId},{providerKey},{paywallErrorCode},{providerErrorCode},{providerErrorMessage},{bankErrorCode},{bankErrorMessage},{PaymentActivityTypeId},{PaymentStatusId}”;`

**File&#x20;**<mark style="color:$success;">**Success**</mark>**::**

{% file src="/files/anXBYaZpNMmDoJRNMLNP" %}

**File&#x20;**<mark style="color:$danger;">**Failed**</mark>:

{% file src="/files/nsAW0XYDOKOUncbo2VuL" %}
{% endtab %}

{% tab title="Insurance" %}
**File Pattern::** `$"{patternNo},{lineNumber},{dateTime},{merchantUniqueCode},{trackingCode},{cardOwner},{cardNumber},{identityNumber},{amount},{gatewayId},{gatewayName},{providerId},{providerKey},{paywallErrorCode},{providerErrorCode},{providerErrorMessage},{bankErrorCode},{bankErrorMessage},{PaymentActivityTypeId},{PaymentStatusId}”;`

**Dosya&#x20;**<mark style="color:$success;">**Başarılı**</mark>**:**

{% file src="/files/NieKtkttILb73wB6X0DU" %}

Dosya <mark style="color:$danger;">Başarısız</mark>:

{% file src="/files/hFjyYAnBCgiY3pZbFWwY" %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.paywall.one/payment-orchestration-integration-document/callback-examples/bulk-file-callback.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
